Skip to main content
`Ctrl`+`K`

# PetscSortedMPIInt

Determines whether the `PetscMPIInt` array is sorted.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortedMPIInt(PetscCount n, const PetscMPIInt X[], PetscBool *sorted)

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscMPIInt`

## Output Parameter

- sorted - flag whether the array is sorted

## See Also

`PetscMPIIntSortSemiOrdered()`, `PetscSortMPIInt()`, `PetscSortedInt()`, `PetscSortedReal()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages